import { Component } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';
import { ILink } from '../../../models/field.model';

@Component({
	selector: 'app-text',
	templateUrl: './text.component.html',
	styleUrls: ['./text.component.scss']
})
export class TextComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['placeholder', 'link'];

	placeholder: string;
	link: ILink;

	readonly componentName = 'TextComponent'; // For AOT compatibility, as class names don't survive minification

}
