import { Component, Input, OnChanges } from '@angular/core';
import { ILink } from '../../../models/field.model';

@Component({
	selector: 'app-display',
	templateUrl: './display.component.html',
	styleUrls: ['./display.component.scss']
})
export class DisplayComponent implements OnChanges {

	@Input()
	meta: StringMap<any>;

	value: string;
	link?: ILink;

	readonly componentName = 'DisplayComponent'; // For AOT compatibility, as class names don't survive minification

	ngOnChanges() {
		this.value = this.meta.value;
		this.link = this.meta.link;
	}
}
